=== openafs/debian/changelog ===
openafs (1.4.1-2) unstable; urgency=low

  * Exit successfully in the openafs-client init script if no module is
    installed, since otherwise openafs-client will fail to install until
    one builds a module.  This restores previous accidental behavior due
    to a bug in debhelper.  (Closes: #362695)
  * libopenafs-dev must conflict with liblwp-dev since they both provide
    liblwp.a.  Thanks, Justin Pryzby.  (Closes: #362842)
  * openafs-client recommends lsof, since the init script uses it for
    cleaner shutdown.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Apr 2006 15:47:04 -0700

openafs (1.4.1-1) unstable; urgency=low

  * New upstream release.
    - Supports Linux 2.6.16.  (Closes: #358203)
    - Suspend should work with newer kernels.  (Closes: #341588)
    - Safer cache size calculation.  (Closes: #360176)
    - Upstream now includes man pages, so remove our backport.
  * Subsume openafs-krb5 into this source package.
    - Acknowledge NMU.  (Closes: #304933)
    - Update to the OpenAFS aklog and asetkey.  (Closes: #196094)
    - Backport asetkey from upstream CVS.
    - Include ka-forwarder from the old migration toolkit.
    - Add man pages for asetkey and ka-forwarder.
  * Subsume openafs-doc into this source package.
  * Since 2.6 is the supported kernel for etch, build the userspace with
    a sysname of *_linux26 where supported.  This only affects the sys
    command.  (Using livesys instead is better.)  (Closes: #358118)
  * Always pass the system type into Autoconf, following autotools-dev
    best practices.
  * Add an explicit copyright statement to debian/copyright.

 -- Russ Allbery <rra@debian.org>  Fri, 14 Apr 2006 15:04:45 -0700

openafs (1.4.0-4) unstable; urgency=low

  * Hopefully fix sparc64 kernel support.  Thanks, Troy Benjegerdes.
    (Closes: #219429)
  * Document the need to restart ptserver and vlserver on the existing
    database servers when adding a new one.  Thanks, Niklas Edmundsson.
    (Closes: #349659)
  * Include xstat_cm_test and xstat_fs_test in openafs-client, as they're
    quite useful for debugging.

 -- Russ Allbery <rra@debian.org>  Tue, 14 Mar 2006 21:07:07 -0800

openafs (1.4.0-3) unstable; urgency=low

  * Apply upstream patch from Chas Williams to be more careful about what
    dentry is used in renames, avoiding a kernel fault when renaming
    dentries accessed through multiple paths (such as RO and RW).
  * Apply patch to allow the module to build with the Ubuntu kernel.
    Thanks, Björn Torkelsson.  (Closes: #342607)
  * Stop unconditionally forcing the compiler to cc or gcc in configure,
    allowing, among other things, building the kernel module with a
    compiler other than the default system compiler.  (Closes: #338306)
  * Call kernel-version correctly from prep-modules, which fixes build
    issues with manually-built kernels.  (Closes: #344851)
  * Backport man pages from upstream CVS.  (Closes: #79763)
  * Include afsmonitor and livesys in openafs-client.
  * Include volinfo in openafs-fileserver.
  * Document FAM's lack of support for AFS's security model and recommend
    gamin instead.  (Closes: #343246)
  * Add a hint to README.Debian on what to do about the cache partition if
    running ReiserFS or XFS without a spare partition.
  * Use make install into debian/tmp rather than make dest.  make dest is
    mostly for Transarc compatibility and make install looks more like a
    typical package and makes it easier to evaluate differences in FHS
    location between upstream and Debian.  As a side effect, there's no
    need to mess with the @sys link.  (Closes: #165909)
  * Install more files with dh_install rather than install commands in
    debian/rules so that *.install shows a more complete picture of what
    goes into each package.
  * Don't ignore make distclean errors.

 -- Russ Allbery <rra@debian.org>  Tue, 27 Dec 2005 15:34:16 -0800

openafs (1.4.0-2) unstable; urgency=low

  * Install more of the standard OpenAFS utilities.  (Closes: #138851)
    - openafs-dbserver: Install prdb_check and vldb_check.
    - openafs-fileserver: Install voldump.
    - openafs-client: Install fstrace, scout, and up (as afs-up).
    - Modify fstrace to load its catalog from /usr/share/openafs.
  * Do not install kpwvalid.  The default version does little useful and
    the kpwvalid binary must be in AFS for it to take effect.
  * Overhaul the way kernel modules are built.
    - Recommend linux-image rather than kernel-image for newer kernels.
    - Always recommend the kernel package; since it's only a recommends,
      there's no need to special-case the hand-built kernel case.
    - Be less fragile about how the kernel version is used in prep-modules
      to support other ways kernel modules are built.  (Closes: #341836)
    - Add Build-Depends and Uploaders to the openafs-modules-source
      control file.
    - Remove unused parts of prep-modules and heavily comment it.
  * openafs-client should only recommend the AFS kernel module.  Many of
    the client programs will work in unauthenticated mode without it, and
    openafs-fileserver depends on it (but doesn't require the kernel
    module).  (Closes: #342095)
  * openafs-modules-source no longer has to depend on as many libraries.
  * Suggest the same PAM settings for pam_krb5 that libpam-krb5 does.
  * Update uploader address.

 -- Russ Allbery <rra@debian.org>  Tue,  6 Dec 2005 23:34:18 -0800

openafs (1.4.0-1) unstable; urgency=low

  * New upstream version.
    - Builds correctly with 2.6.13 kernels and software suspend.
    - Builds correctly with 2.6.12-10.  (Closes: #337883)
  * Install afsd in /sbin rather than /usr/sbin.  While putting /usr in
    AFS isn't as common as it once was, no reason to make it harder than
    it needs to be.
  * Update CellServDB to the 2005-10-15 grand.central.org version.
  * Install NEWS as an upstream changelog.
  * Add a watch file.
  * Remove the unused and uninstalled make-links script.


