=== usr/src/linux-2.6.16.11/debian/changelog ===
kernel-source-2.6.16.11 (linerva64.2) unstable; urgency=low

  * Added support for netwinders
  * Modified modules support to not assume everything in /usr/src/modules
    is a directory. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Nov 1998 01:39:43 -0600

kernel-source-0.34 (1.01)  unstable; urgency=low

  * This is a major change in the source/header packages. In architectures
    different from i386, `kernel-headers-*' and `kernel-source-*' are
    incompatible. This also has an effect on libc6-dev, which depends on
    kernel-headers-2.0.3x | kernel-source-2.0.3x, which is only true on
    i386 architectures. One possible solution would be to make libc6-dev
    depend on kernel-headers-2.0.32, but that won't work because
    kernel-source provides kernel-headers. In fact, since kernel-headers
    are arch dependent, but kernel-source is arch: all, kernel-source-*
    should not provide kernel-header* at all. 
    
    Once kernel source stops providing kernel-header*, and libc6-dev
    depends on kernel-headers-2.0.32 and links /usr/include/{linux,asm} to
    /usr/src/kernel-headers-2.0.32 (nor /usr/src/linux-2.0.32) things
    would work again in a Multi arch compatible fashion.
  
    Hence, now kernel-source-* packages compiled with this kernel-package
    shall not provide any sort of kernel-headers. For the sake of
    backwards compatibility, /usr/src/linux-$version symlinks are still
    being provided (as people may upload newer kernels while keeping an
    older libc6-dev around, which depends on /usr/src/linux-2.0.32. 
  
    However, I have been badgered enough about this that I shall remove
    the /usr/src/linux-$version symlinks at some point. This version no
    longer registers stuff in /usr/src/.linux-versions, and is no longer
    as paranoid about /usr/src/linux; but it does not outright remove
    those files either, so as not to cause people with older kernels
    having a problem during removal.As soon as it is deemed permissible,
    we shall get less paranoid about /usr/src/linux-$version as well. 
  * closes: Bug#18277

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Feb 1998 16:44:31 -0600

kernel-source-0.33 (1.01) unstable; urgency=low

  * Added SUBARCH, which is used to distinguish Amiga, Atari, Macintosh,
    etc. kernels for Debian/m68k, and may well be required for the alpha,
    from what I hear. Unlike the FLAVOURS variable, which affects
    everything it can lay its grubby hands on (kernel image, headers,
    source, doc package versions, and where the modules are looked for
    under /lib/modules), this only affects the naming of the kernel-image
    as the source and doc packages are architecture independent and the
    kernel-headers do not vary from one sub-architecture to the
    next. These changes are courtesy of James Troup <J.J.Troup@scm.brad.ac.uk>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 1998 16:47:08 -0600

kernel-source-0.32 (1.01) unstable; urgency=low

  * Ensure that the /usr/src/linux and /usr/src/linux-<version> links
    always exist, no matter what. Apparently, upgrading from
    kernel-source-2.0.32_2.0.32-1 to kernel-source-2.0.32_2.0.32-3 does
    not create /usr/src/linux-<version>, which breaks libc6-dev.
  * Toned down the language about LILO, so as not to startle new sparc users

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Feb 1998 21:56:50 -0600

kernel-source-0.31 (1.01) unstable; urgency=low

  * Added ARCH to make called, this allows for cross compiling kernels
    (added on a request by  James Troup <J.J.Troup@scm.brad.ac.uk>)
  * Make kernel-headers arch: any, so we can indeed have different headers
    for different architectures.
  * m68k can now handle vmlinuz, so reverse that behaviour in the rules
    file. AFAIK m68k still uses zImage.
  * Improvements to /usr/doc/kernel-patch/MultiArch.gz, based on
    suggestions by James Troup <J.J.Troup@scm.brad.ac.uk>/

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 17:11:05 -0600

kernel-source-0.30 (1.01) unstable; urgency=low

  * Redid the Headers README file
  * Added a rationale to the LinkPolicy document. So far, it detailed
    *what* Debian did. Now, it also says *why* we do it.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 Jan 1998 19:13:58 -0600

kernel-source-0.29 (1.01) unstable; urgency=low

  * Important changes for kernel-source-* and kernel-header-* packages: now
    kernel-source-* packages also provide the exact kernel-header-* (libc6
    need only depend on kernel-header-* now.
  * The kernel-header-* and kernel-source-* packages now also maitain the
    /usr/src/linux-X.YY.ZZ links (in addition to the /usr/src/linux links)
    This is used in the libc6 package.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Dec 1997 12:46:47 -0600

kernel-source-0.28 (1.01) unstable; urgency=low

  * Fixed a typo where we tried to dd /vmlinuz-2.0.32 rather than the
    correct /boot/vmlinuz-2.0.32 in image.postinst. How come this glaring
    an error has gone unreported until now?

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 23 Jan 1998 14:36:34 -0600

kernel-source-0.27 (1.01) unstable; urgency=low

 * Fixed Typo in kernel rules that put all modules into block (this
    is more of a thinko/cut and paste error. fixes: Bug#16697,Bug#16702
  * No longer a fatal error if there is no /vmlinuz (or
    equivalent). fixes: Bug#16899
  * Added language to the abort on /usr/src/linux not being a
    link. 
  * Documented the fact that if you re-run make-kpkg with a different
    revision number, you have to reconfigure the kernel. 
    fixes: Bug#16968
  * ignore obsolete fdformat in favour of superformat.
  * Changed the kernel rules file not break on the sound modules of
    2.1.70+ kernels (I think it is a bug in the kernel Makefile, but this
    fix make make-kpkg handle the problem and be more robust).
  * Modified image.postinst to also cater to people on whose architecture

