=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@stanford.edu>
Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl, e2fslibs-dev
Standards-Version: 3.5.0

Package: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf,  openafs-modules-source (>= 1.2.9)|openafs-modules2
Conflicts: arla, openafs-modules1
Description: The AFS distributed filesystem- client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.

Package: openafs-kpasswd
Priority: extra
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, openafs-client
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: The AFS distributed filesystem- old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the 
 Transarc kaserver to create users and change passwords.  Only install
 this package if you are already using kaserver; generally you should
 not install this package for new cells or for cells using Kerberos5.

Package: openafs-fileserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf, openafs-client
Recommends: ntp
Description: The AFS distributed filesystem- file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Depends: ${shlibs:Depends}, debconf, openafs-fileserver, openafs-client, perl5
Conflicts: openafs-ptutil
Replaces: openafs-ptutil
Provides: openafs-ptutil
Description: The AFS distributed filesystem- database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: libopenafs-dev
Section: libdevel
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Priority: extra
Conflicts: arla-dev
Depends: ${shlibs:Depends}
Description: The AFS distributed filesystem- development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Priority: extra
Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package, e2fslibs-dev
Architecture: all
Description: The AFS distributed filesystem- Module Sources
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides source to the AFS kernel modules.

Package: libpam-openafs-kaserver
Priority: extra
Depends: ${shlibs:Depends}
Recommends: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64
Description: The AFS distributed filesystem- kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos 5
 implementation,  a Kerberos PAM module and libpam-openafs-session.
