=== openafs/debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, perl, comerr-dev, libkrb5-dev
Standards-Version: 3.6.2

Package: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openafs-modules-source (>= 1.2.9) | openafs-modules2, lsof
Suggests: openafs-doc
Conflicts: arla, openafs-modules1
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.

Package: openafs-kpasswd
Priority: extra
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, openafs-client
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: AFS distributed filesystem old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the OpenAFS
 kaserver to create users and change passwords.  Only install this package
 if you are already using kaserver; generally you should not install this
 package for new cells or for cells using Kerberos v5.

Package: openafs-fileserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client
Recommends: ntp
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}, ${perl:Depends}, openafs-fileserver, openafs-client
Suggests: openafs-doc
Conflicts: openafs-ptutil
Replaces: openafs-ptutil
Provides: openafs-ptutil
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Depends: ${shlibs:Depends}
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libopenafs-dev
Section: libdevel
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Priority: extra
Depends: ${shlibs:Depends}
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Priority: extra
Depends: bison, flex, debhelper (>= 4.0.0), kernel-package | module-assistant
Architecture: all
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides source to the AFS kernel modules.

Package: libpam-openafs-kaserver
Priority: extra
Depends: ${shlibs:Depends}, openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa amd64 ppc64
Description: AFS distributed filesystem kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos v5
 implementation, a Kerberos v5 PAM module, and libpam-openafs-session.
