=== usr/src/linux-2.6.16.11/debian/control ===
Source: kernel-source-2.6.16.11
Section: devel
Priority: optional
Maintainer:  Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>
Standards-Version: 3.5.9.0

Package: kernel-headers-2.6.16.11
Architecture: any
Section: devel
Priority: optional
Provides: kernel-headers, kernel-headers-2.6
Description: Header files related to Linux kernel version 2.6.16.11
 This package provides kernel header files for version 2.6.16.11, for sites 
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.6.16.11/debian.README.gz for details

Package: kernel-source-2.6.16.11
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.6
Depends: binutils, bzip2
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package
Description: Linux kernel source for version 2.6.16.11
 This package provides the source code for the Linux kernel version 2.6.16.11.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file
 /usr/share/doc/kernel-source-2.6.16.11/README.headers.gz.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: kernel-image-2.6.16.11
Architecture: amd64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.6
Depends:  coreutils | fileutils (>= 4.0)
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux kernel binary image for version 2.6.16.11.
 This package contains the Linux kernel image for version 2.6.16.11,
 the corresponding System.map file, and the modules built by the
 packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: kernel-doc-2.6.16.11
Architecture: all
Section: doc
Priority: optional
Provides: kernel-doc-2.6
Suggests: kernel-image-2.6.16.11
Description: Linux kernel specific documentation for version 2.6.16.11.
 This package provides various Readme's in the 2.6.16.11 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers. for example. Please see
 /usr/share/doc/kernel-doc-X.X.XX/Documentation/00-INDEX for a list of
 contents.  Please also read the Changes file, as it contains
 information about the problems which may result by upgrading your
 kernel.

Package: kernel-uml-2.6.16.11
Architecture: amd64
Section: base
Priority: optional
Provides: kernel-uml,  kernel-uml-2.6, user-mode-linux
Depends:  coreutils | fileutils (>= 4.0)
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11, uml-utilities
Conflicts: user-mode-linux (>= 2.0)
Replaces: user-mode-linux
Description: Linux uml kernel binary image for version 2.6.16.11.
 This package contains the Linux uml kernel image for version 2.6.16.11
 and the modules built by the packager.  

Package: kernel-xen0-2.6.16.11
Architecture: amd64 
Section: base 
Priority: optional 
Provides: kernel-xen0,  kernel-xen0-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux xen kernel binary image for version 2.6.16.11. 
 This package contains the Linux xen kernel image for version 2.6.16.11 
 and the modules built by the packager.

Package: kernel-xenu-2.6.16.11
Architecture: amd64 
Section: base 
Priority: optional 
Provides: kernel-xenu,  kernel-xenu-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests: lilo (>= 19.1) | grub,  fdutils, kernel-doc-2.6.16.11 | kernel-source-2.6.16.11 
Description: Linux xen kernel binary image for version 2.6.16.11. 
 This package contains the Linux xen kernel image for version 2.6.16.11 
 and the modules built by the  packager.
