=== usr/src/modules/openafs/debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 4.1.16), flex, bison
Standards-Version: 3.6.2

Package: openafs-modules-2.6.16.11
Conflicts: openafs-client (<< 1.2.9)
Provides: openafs-modules2
Architecture: any
Recommends: linux-image-2.6.16.11
Description: AFS distributed filesystem kernel module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the compiled AFS kernel module for kernel
 version 2.6.16.11.
